<!-- prettier-ignore-start -->
# Class Iterable

- [TopLevel.Object](TopLevel.Object.md)
  - [TopLevel.Iterable](TopLevel.Iterable.md)

All objects containing the property @@iterator with a function returning an [ES6Iterator](TopLevel.ES6Iterator.md) are said to be an Iterable.

**API Version:**
:::note
Available from version 21.2.
:::

## Constructor Summary

This class does not have a constructor, so you cannot create it directly.
## Method Summary

| Method | Description |
| --- | --- |
| [iterator](TopLevel.Iterable.md#iterator)() | Returns an iterator to be used for iterating this object. |

### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Method Details

### iterator()
- iterator(): [ES6Iterator](TopLevel.ES6Iterator.md)
  - : Returns an iterator to be used for iterating this object. Typically returns a new iterator instance.
      For iterators returns typically the iterator itself.


    **Returns:**
    - The iterator to be used for iterating this object.

    **API Version:**
:::note
Available from version 21.2.
:::

---

<!-- prettier-ignore-end -->
